Page MenuHomeFreeBSD

security/pam_krb5: Update to 4.8
ClosedPublic

Authored by woodsb02 on Feb 16 2019, 4:01 AM.

Details

Summary

security/pam_krb5: Update to 4.8

  • Add LICENSE details
  • Pet portlint (Makefile order)

Approved by: cy (maintainer)

Test Plan

poudriere testport success on 13amd64
Runtime testing also worked fine

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

woodsb02 created this revision.Feb 16 2019, 4:01 AM
cy requested changes to this revision.Feb 16 2019, 4:57 AM

Looks good except the update, license and portlint changes need to be three separate commits. I will approve if you keep the three functional commits separate, clean easy to follow logs.

security/pam_krb5/Makefile
5 ↗(On Diff #53982)

Separate commit, please.

16 ↗(On Diff #53982)

Separate commit, please.

This revision now requires changes to proceed.Feb 16 2019, 4:57 AM
mat added inline comments.Feb 20 2019, 4:01 PM
security/pam_krb5/Makefile
28 ↗(On Diff #53982)

That variable is not a framework variable, so it should go after the options, see Chapter 15. Order of Variables in Port Makefiles.

That being said, it is also never used, so it should probably be removed.

cy added a comment.Feb 23 2019, 4:26 PM

As discussed, I've found the time this morning and will commit.

cy added inline comments.Feb 23 2019, 4:37 PM
security/pam_krb5/Makefile
28 ↗(On Diff #53982)

It's been removed and committed to my git repo.

This revision was not accepted when it landed; it landed in state Needs Revision.Feb 23 2019, 4:46 PM
Closed by commit rP493708: Add LICENSE details. (authored by cy). · Explain Why
This revision was automatically updated to reflect the committed changes.
cy added a comment.Feb 23 2019, 4:49 PM

Done. That's the beauty of git svn.